using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("BudgetConfigSetting", Schema = "fp")]
public partial class BudgetConfigSetting
{
    [Column("BudgetConfigID")]
    public int BudgetConfigId { get; set; }

    [Column("SettingID")]
    public int SettingId { get; set; }

    public bool Value { get; set; }

    [ForeignKey("SettingId")]
    public virtual BudgetConfigDefaultSetting Setting { get; set; } = null!;
}
